import { StyleSheet } from 'react-native'
import {
  windowHeight,
  fontSizes,
  windowWidth,
} from '../../../theme/appConstant'
import appColors from '../../../theme/appColors'
import appFonts from '../../../theme/appFonts'

const styles = StyleSheet.create({
  container: {
    padding: windowWidth(5),
  },
  card: {
    height: windowHeight(14),
    alignItems: 'center',
    justifyContent: 'center',
  },
  contentContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    marginHorizontal: windowWidth(2),
  },
  textContainer: {
    flex: 1,
    paddingRight: windowWidth(2),
  },
  title: {
    color: appColors.black,
    fontSize: fontSizes.FONT5HALF,
    fontFamily: appFonts.bold,
    marginBottom: windowHeight(0.5),
  },
  subtitle: {
    color: appColors.iconColor,
    fontSize: fontSizes.FONT4,
    opacity: 0.9,
  },
  progressContainer: {
    position: 'relative',
    width: windowHeight(8),
    height: windowHeight(8),
    alignItems: 'center',
    justifyContent: 'center',
  },
  svg: {
    position: 'absolute',
  },
  progressText: {
    position: 'absolute',
    alignItems: 'center',
    justifyContent: 'center',
  },
  progressLabel: {
    color: appColors.black,
    fontSize: fontSizes.FONT4HALF,
    fontFamily: appFonts.semiBold,
  },
  incentiveTitle: {
    color: appColors.primaryFont,
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.semiBold,
    marginHorizontal: windowWidth(5),
    marginTop: windowHeight(2),
    textAlign: 'center',
  },
  incentiveSubTitle: {
    color: appColors.secondaryFont,
    marginHorizontal: windowWidth(5),
    marginTop: windowHeight(0.5),
    textAlign: 'center',
  },
  bottomtext: {
    marginHorizontal: windowWidth(5),
    marginTop: windowHeight(3),
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
    color: appColors.secondaryFont,
  },
  titleView: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginHorizontal: windowHeight(2),
    marginTop: windowHeight(1.5),
  },
  titleTask: {
    fontSize: fontSizes.FONT4HALF1,
    fontFamily: appFonts.semiBold,
    color: appColors.primaryFont,
  },
  titleViewAll: {
    color: appColors.secondaryFont,
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.regular,
  },
  successGif: {
    height: windowHeight(25),
    width: windowWidth(25),
  },
  gap: {
    gap: windowHeight(8),
  },
  box: {
    width: '90%',
    paddingBottom: windowHeight(2.5),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.45),
    marginTop: windowHeight(3),
    marginBottom: windowHeight(1),
    alignSelf: 'center',
  },
})
export default styles
